/* Puts up the PV About Window. */!!

inherit(Window, #PVAbout, #(), 2, nil)!!

setClassVars(PVAbout, #())!!

now(class(PVAbout))!!

/* Create and start a new About object. */
Def start(self, arg | about)
{ 
/*  
  if not(CLIULibraryClass$Inst) then
     if not(requireWithPath(CLIULibrary,  "cliulib.dll")) then 
        ^nil;
     endif;
  endif;
  if (arg = 0) then
    showAboutBox(CLIULibraryClass$Inst);
  else 
    if (arg = 1) then
       openLogin(CLIULibraryClass$Inst);
    else
       closeLogin(CLIULibraryClass$Inst);
    endif;
  endif;
*/
}!!

/* Return static string for this window class name ("ActorAbout"). */
Def wndClass(self)
{ ^"ActorAboutWindow";
}!!

now(PVAbout)!!

/* Close window when any key is pressed. */
Def WM_KEYDOWN(self, wP, lP)
{ if not(wP in #(16 17))
  then 
     closeLogin(CLIULibraryClass$Inst);
  endif;
}!!

/* Close window when the left mouse button is pressed. */
Def WM_LBUTTONDOWN(self, wP, lP)
{ 
   closeLogin(CLIULibraryClass$Inst);
}!!

